- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QGLShaderProgram Class Reference

Search for all occurrences

## Detailed Description

Definition at line 114 of file qglshaderprogram.h.

`#include <qglshaderprogram.h>`

Inheritance diagram for QGLShaderProgram:
[legend]

List of all members.

## Public Member Functions
| QGLShaderProgram (QObject *parent=0)
| QGLShaderProgram (const QGLContext *context, QObject *parent=0)
virtual | ~QGLShaderProgram ()
bool | addShader (QGLShader *shader)
void | removeShader (QGLShader *shader)
QList< QGLShader * > | shaders () const
bool | addShaderFromSourceCode (QGLShader::ShaderType type, const char *source)
bool | addShaderFromSourceCode (QGLShader::ShaderType type, const QByteArray &source)
bool | addShaderFromSourceCode (QGLShader::ShaderType type, const QString &source)
bool | addShaderFromSourceFile (QGLShader::ShaderType type, const QString &fileName)
void | removeAllShaders ()
virtual bool | link ()
bool | isLinked () const
QString | log () const
bool | bind ()
void | release ()
GLuint | programId () const
int | maxGeometryOutputVertices () const
void | setGeometryOutputVertexCount (int count)
int | geometryOutputVertexCount () const
void | setGeometryInputType (GLenum inputType)
GLenum | geometryInputType () const
void | setGeometryOutputType (GLenum outputType)
GLenum | geometryOutputType () const
void | bindAttributeLocation (const char *name, int location)
void | bindAttributeLocation (const QByteArray &name, int location)
void | bindAttributeLocation (const QString &name, int location)
int | attributeLocation (const char *name) const
int | attributeLocation (const QByteArray &name) const
int | attributeLocation (const QString &name) const
void | setAttributeValue (int location, GLfloat value)
void | setAttributeValue (int location, GLfloat x, GLfloat y)
void | setAttributeValue (int location, GLfloat x, GLfloat y, GLfloat z)
void | setAttributeValue (int location, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
void | setAttributeValue (int location, const QVector2D &value)
void | setAttributeValue (int location, const QVector3D &value)
void | setAttributeValue (int location, const QVector4D &value)
void | setAttributeValue (int location, const QColor &value)
void | setAttributeValue (int location, const GLfloat *values, int columns, int rows)
void | setAttributeValue (const char *name, GLfloat value)
void | setAttributeValue (const char *name, GLfloat x, GLfloat y)
void | setAttributeValue (const char *name, GLfloat x, GLfloat y, GLfloat z)
void | setAttributeValue (const char *name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
void | setAttributeValue (const char *name, const QVector2D &value)
void | setAttributeValue (const char *name, const QVector3D &value)
void | setAttributeValue (const char *name, const QVector4D &value)
void | setAttributeValue (const char *name, const QColor &value)
void | setAttributeValue (const char *name, const GLfloat *values, int columns, int rows)
void | setAttributeArray (int location, const GLfloat *values, int tupleSize, int stride=0)
void | setAttributeArray (int location, const QVector2D *values, int stride=0)
void | setAttributeArray (int location, const QVector3D *values, int stride=0)
void | setAttributeArray (int location, const QVector4D *values, int stride=0)
void | setAttributeArray (int location, GLenum type, const void *values, int tupleSize, int stride=0)
void | setAttributeArray (const char *name, const GLfloat *values, int tupleSize, int stride=0)
void | setAttributeArray (const char *name, const QVector2D *values, int stride=0)
void | setAttributeArray (const char *name, const QVector3D *values, int stride=0)
void | setAttributeArray (const char *name, const QVector4D *values, int stride=0)
void | setAttributeArray (const char *name, GLenum type, const void *values, int tupleSize, int stride=0)
void | setAttributeBuffer (int location, GLenum type, int offset, int tupleSize, int stride=0)
void | setAttributeBuffer (const char *name, GLenum type, int offset, int tupleSize, int stride=0)
void | enableAttributeArray (int location)
void | enableAttributeArray (const char *name)
void | disableAttributeArray (int location)
void | disableAttributeArray (const char *name)
int | uniformLocation (const char *name) const
int | uniformLocation (const QByteArray &name) const
int | uniformLocation (const QString &name) const
void | setUniformValue (int location, GLfloat value)
void | setUniformValue (int location, GLint value)
void | setUniformValue (int location, GLuint value)
void | setUniformValue (int location, GLfloat x, GLfloat y)
void | setUniformValue (int location, GLfloat x, GLfloat y, GLfloat z)
void | setUniformValue (int location, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
void | setUniformValue (int location, const QVector2D &value)
void | setUniformValue (int location, const QVector3D &value)
void | setUniformValue (int location, const QVector4D &value)
void | setUniformValue (int location, const QColor &color)
void | setUniformValue (int location, const QPoint &point)
void | setUniformValue (int location, const QPointF &point)
void | setUniformValue (int location, const QSize &size)
void | setUniformValue (int location, const QSizeF &size)
void | setUniformValue (int location, const QMatrix2x2 &value)
void | setUniformValue (int location, const QMatrix2x3 &value)
void | setUniformValue (int location, const QMatrix2x4 &value)
void | setUniformValue (int location, const QMatrix3x2 &value)
void | setUniformValue (int location, const QMatrix3x3 &value)
void | setUniformValue (int location, const QMatrix3x4 &value)
void | setUniformValue (int location, const QMatrix4x2 &value)
void | setUniformValue (int location, const QMatrix4x3 &value)
void | setUniformValue (int location, const QMatrix4x4 &value)
void | setUniformValue (int location, const GLfloat value[2][2])
void | setUniformValue (int location, const GLfloat value[3][3])
void | setUniformValue (int location, const GLfloat value[4][4])
void | setUniformValue (int location, const QTransform &value)
void | setUniformValue (const char *name, GLfloat value)
void | setUniformValue (const char *name, GLint value)
void | setUniformValue (const char *name, GLuint value)
void | setUniformValue (const char *name, GLfloat x, GLfloat y)
void | setUniformValue (const char *name, GLfloat x, GLfloat y, GLfloat z)
void | setUniformValue (const char *name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
void | setUniformValue (const char *name, const QVector2D &value)
void | setUniformValue (const char *name, const QVector3D &value)
void | setUniformValue (const char *name, const QVector4D &value)
void | setUniformValue (const char *name, const QColor &color)
void | setUniformValue (const char *name, const QPoint &point)
void | setUniformValue (const char *name, const QPointF &point)
void | setUniformValue (const char *name, const QSize &size)
void | setUniformValue (const char *name, const QSizeF &size)
void | setUniformValue (const char *name, const QMatrix2x2 &value)
void | setUniformValue (const char *name, const QMatrix2x3 &value)
void | setUniformValue (const char *name, const QMatrix2x4 &value)
void | setUniformValue (const char *name, const QMatrix3x2 &value)
void | setUniformValue (const char *name, const QMatrix3x3 &value)
void | setUniformValue (const char *name, const QMatrix3x4 &value)
void | setUniformValue (const char *name, const QMatrix4x2 &value)
void | setUniformValue (const char *name, const QMatrix4x3 &value)
void | setUniformValue (const char *name, const QMatrix4x4 &value)
void | setUniformValue (const char *name, const GLfloat value[2][2])
void | setUniformValue (const char *name, const GLfloat value[3][3])
void | setUniformValue (const char *name, const GLfloat value[4][4])
void | setUniformValue (const char *name, const QTransform &value)
void | setUniformValueArray (int location, const GLfloat *values, int count, int tupleSize)
void | setUniformValueArray (int location, const GLint *values, int count)
void | setUniformValueArray (int location, const GLuint *values, int count)
void | setUniformValueArray (int location, const QVector2D *values, int count)
void | setUniformValueArray (int location, const QVector3D *values, int count)
void | setUniformValueArray (int location, const QVector4D *values, int count)
void | setUniformValueArray (int location, const QMatrix2x2 *values, int count)
void | setUniformValueArray (int location, const QMatrix2x3 *values, int count)
void | setUniformValueArray (int location, const QMatrix2x4 *values, int count)
void | setUniformValueArray (int location, const QMatrix3x2 *values, int count)
void | setUniformValueArray (int location, const QMatrix3x3 *values, int count)
void | setUniformValueArray (int location, const QMatrix3x4 *values, int count)
void | setUniformValueArray (int location, const QMatrix4x2 *values, int count)
void | setUniformValueArray (int location, const QMatrix4x3 *values, int count)
void | setUniformValueArray (int location, const QMatrix4x4 *values, int count)
void | setUniformValueArray (const char *name, const GLfloat *values, int count, int tupleSize)
void | setUniformValueArray (const char *name, const GLint *values, int count)
void | setUniformValueArray (const char *name, const GLuint *values, int count)
void | setUniformValueArray (const char *name, const QVector2D *values, int count)
void | setUniformValueArray (const char *name, const QVector3D *values, int count)
void | setUniformValueArray (const char *name, const QVector4D *values, int count)
void | setUniformValueArray (const char *name, const QMatrix2x2 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix2x3 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix2x4 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix3x2 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix3x3 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix3x4 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix4x2 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix4x3 *values, int count)
void | setUniformValueArray (const char *name, const QMatrix4x4 *values, int count)
## Static Public Member Functions
static bool | hasOpenGLShaderPrograms (const QGLContext *context=0)

## Constructor & Destructor Documentation

QGLShaderProgram | ( | QObject * | parent = `0` | ) | `[explicit]`

QGLShaderProgram | ( | const QGLContext * | context,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

virtual ~QGLShaderProgram | ( |  | ) | `[virtual]`

## Member Function Documentation

bool addShader | ( | QGLShader * | shader | ) |

Search for all occurrences

void removeShader | ( | QGLShader * | shader | ) |

Search for all occurrences

QList<QGLShader *> shaders | ( |  | ) | const

Search for all occurrences

bool addShaderFromSourceCode | ( | QGLShader::ShaderType | type,
|  | const char * | source
| ) |  |

Search for all occurrences

bool addShaderFromSourceCode | ( | QGLShader::ShaderType | type,
|  | const QByteArray & | source
| ) |  |

Search for all occurrences

bool addShaderFromSourceCode | ( | QGLShader::ShaderType | type,
|  | const QString & | source
| ) |  |

Search for all occurrences

bool addShaderFromSourceFile | ( | QGLShader::ShaderType | type,
|  | const QString & | fileName
| ) |  |

Search for all occurrences

void removeAllShaders | ( |  | ) |

Search for all occurrences

virtual bool link | ( |  | ) | `[virtual]`

Search for all occurrences

bool isLinked | ( |  | ) | const

Search for all occurrences

QString log | ( |  | ) | const

Search for all occurrences

bool bind | ( |  | ) |

Search for all occurrences

void release | ( |  | ) |

Search for all occurrences

GLuint programId | ( |  | ) | const

Search for all occurrences

int maxGeometryOutputVertices | ( |  | ) | const

Search for all occurrences

void setGeometryOutputVertexCount | ( | int | count | ) |

Search for all occurrences

int geometryOutputVertexCount | ( |  | ) | const

Search for all occurrences

void setGeometryInputType | ( | GLenum | inputType | ) |

Search for all occurrences

GLenum geometryInputType | ( |  | ) | const

Search for all occurrences

void setGeometryOutputType | ( | GLenum | outputType | ) |

Search for all occurrences

GLenum geometryOutputType | ( |  | ) | const

Search for all occurrences

void bindAttributeLocation | ( | const char * | name,
|  | int | location
| ) |  |

Search for all occurrences

void bindAttributeLocation | ( | const QByteArray & | name,
|  | int | location
| ) |  |

Search for all occurrences

void bindAttributeLocation | ( | const QString & | name,
|  | int | location
| ) |  |

Search for all occurrences

int attributeLocation | ( | const char * | name | ) | const

Search for all occurrences

int attributeLocation | ( | const QByteArray & | name | ) | const

Search for all occurrences

int attributeLocation | ( | const QString & | name | ) | const

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | GLfloat | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | GLfloat | x,
|  | GLfloat | y
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z,
|  | GLfloat | w
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | const QVector2D & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | const QVector3D & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | const QVector4D & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | const QColor & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | int | location,
|  | const GLfloat * | values,
|  | int | columns,
|  | int | rows
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | GLfloat | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | GLfloat | x,
|  | GLfloat | y
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z,
|  | GLfloat | w
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | const QVector2D & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | const QVector3D & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | const QVector4D & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | const QColor & | value
| ) |  |

Search for all occurrences

void setAttributeValue | ( | const char * | name,
|  | const GLfloat * | values,
|  | int | columns,
|  | int | rows
| ) |  |

Search for all occurrences

void setAttributeArray | ( | int | location,
|  | const GLfloat * | values,
|  | int | tupleSize,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | int | location,
|  | const QVector2D * | values,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | int | location,
|  | const QVector3D * | values,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | int | location,
|  | const QVector4D * | values,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | int | location,
|  | GLenum | type,
|  | const void * | values,
|  | int | tupleSize,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | const char * | name,
|  | const GLfloat * | values,
|  | int | tupleSize,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | const char * | name,
|  | const QVector2D * | values,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | const char * | name,
|  | const QVector3D * | values,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | const char * | name,
|  | const QVector4D * | values,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeArray | ( | const char * | name,
|  | GLenum | type,
|  | const void * | values,
|  | int | tupleSize,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeBuffer | ( | int | location,
|  | GLenum | type,
|  | int | offset,
|  | int | tupleSize,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void setAttributeBuffer | ( | const char * | name,
|  | GLenum | type,
|  | int | offset,
|  | int | tupleSize,
|  | int | stride = `0`
| ) |  |

Search for all occurrences

void enableAttributeArray | ( | int | location | ) |

Search for all occurrences

void enableAttributeArray | ( | const char * | name | ) |

Search for all occurrences

void disableAttributeArray | ( | int | location | ) |

Search for all occurrences

void disableAttributeArray | ( | const char * | name | ) |

Search for all occurrences

int uniformLocation | ( | const char * | name | ) | const

Search for all occurrences

int uniformLocation | ( | const QByteArray & | name | ) | const

Search for all occurrences

int uniformLocation | ( | const QString & | name | ) | const

Search for all occurrences

void setUniformValue | ( | int | location,
|  | GLfloat | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | GLint | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | GLuint | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | GLfloat | x,
|  | GLfloat | y
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z,
|  | GLfloat | w
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QVector2D & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QVector3D & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QVector4D & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QColor & | color
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QPoint & | point
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QPointF & | point
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QSize & | size
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QSizeF & | size
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix2x2 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix2x3 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix2x4 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix3x2 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix3x3 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix3x4 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix4x2 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix4x3 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QMatrix4x4 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const GLfloat | value[2][2]
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const GLfloat | value[3][3]
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const GLfloat | value[4][4]
| ) |  |

Search for all occurrences

void setUniformValue | ( | int | location,
|  | const QTransform & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | GLfloat | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | GLint | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | GLuint | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | GLfloat | x,
|  | GLfloat | y
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z,
|  | GLfloat | w
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QVector2D & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QVector3D & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QVector4D & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QColor & | color
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QPoint & | point
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QPointF & | point
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QSize & | size
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QSizeF & | size
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix2x2 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix2x3 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix2x4 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix3x2 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix3x3 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix3x4 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix4x2 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix4x3 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QMatrix4x4 & | value
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const GLfloat | value[2][2]
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const GLfloat | value[3][3]
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const GLfloat | value[4][4]
| ) |  |

Search for all occurrences

void setUniformValue | ( | const char * | name,
|  | const QTransform & | value
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const GLfloat * | values,
|  | int | count,
|  | int | tupleSize
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const GLint * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const GLuint * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QVector2D * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QVector3D * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QVector4D * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix2x2 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix2x3 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix2x4 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix3x2 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix3x3 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix3x4 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix4x2 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix4x3 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | int | location,
|  | const QMatrix4x4 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const GLfloat * | values,
|  | int | count,
|  | int | tupleSize
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const GLint * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const GLuint * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QVector2D * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QVector3D * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QVector4D * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix2x2 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix2x3 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix2x4 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix3x2 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix3x3 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix3x4 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix4x2 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix4x3 * | values,
|  | int | count
| ) |  |

Search for all occurrences

void setUniformValueArray | ( | const char * | name,
|  | const QMatrix4x4 * | values,
|  | int | count
| ) |  |

Search for all occurrences

static bool hasOpenGLShaderPrograms | ( | const QGLContext * | context = `0` | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtOpenGL/qglshaderprogram.h

QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram
QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram QGLShaderProgram